function set(original, props, val) {
  if(typeof props == 'string') {
    props = props.split('.');
  }
  if(typeof props == 'symbol'){
    props = [props];
  }
  var obj = original;
  var last = props.pop();
  for(var i = 0; i < props.length; i++){
    if(typeof obj[props[i]] != 'object'){
      obj[props[i]] = {};
    }
    obj = obj[props[i]];
  }
  obj[last] = val;
  return original;
}
module.exports = set;